// mypackage.tsx
import { useLoaderData, useActionData } from "@remix-run/react";
import { serverOnly$ } from "vite-env-only";
function loader() {
  console.log("this is a server function");
  return {
    message: "message from loader",
  };
}

function action() {
  console.log("this is a server function");
  return {
    message: "message from action",
  };
}

function Component() {
  const loaderData = useLoaderData();
  const actionData = useActionData();
  console.log("this is a server/client function");
  return (
    <div>
      <pre>{JSON.stringify(loaderData, null, 2)}</pre>
      <pre>{JSON.stringify(actionData, null, 2)}</pre>
      <h1 className="text-3xl font-bold underline">
      Hello world!
    </h1>
    </div>
  );
}

export function createPackage() {
  return {
    loader: serverOnly$(loader),
    action: serverOnly$(action),
    default: Component,
  };
}

